Package org.jfree.report.modules.gui.swing.preview

## Class ActionCategory

- java.lang.Object
- - org.jfree.report.modules.gui.swing.preview.ActionCategory

- All Implemented Interfaces:
    `java.lang.Comparable`

      public class ActionCategory
      extends java.lang.Object
      implements java.lang.Comparable

  Creation-Date: 01.12.2006, 18:49:32
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionCategory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.lang.Object o)` | Compares this object with the specified object for order.
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getDisplayName()` | Returns the display name for the export action.
    `java.lang.Integer` | `getMnemonicKey()` | Returns the mnemonic key code.
    `java.lang.String` | `getName()` |
    `int` | `getPosition()` |
    `java.lang.String` | `getResourceBase()` |
    `java.lang.String` | `getResourcePrefix()` |
    `java.lang.String` | `getShortDescription()` | Returns the short description for the export action.
    `int` | `hashCode()` |
    `void` | `initialize​(SwingGuiContext context)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setPosition​(int position)` |
    `void` | `setResourceBase​(java.lang.String resourceBase)` |
    `void` | `setResourcePrefix​(java.lang.String resourcePrefix)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionCategory

          public ActionCategory()

  - ### Method Detail

    - #### initialize

          public void initialize​(SwingGuiContext context)

    - #### getResourceBase

          public java.lang.String getResourceBase()

    - #### setResourceBase

          public void setResourceBase​(java.lang.String resourceBase)

    - #### getResourcePrefix

          public java.lang.String getResourcePrefix()

    - #### setResourcePrefix

          public void setResourcePrefix​(java.lang.String resourcePrefix)

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition​(int position)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Returns the display name for the export action.
      Returns:
        The display name.

    - #### getShortDescription

          public java.lang.String getShortDescription()

      Returns the short description for the export action.
      Returns:
        The short description.

    - #### getMnemonicKey

          public java.lang.Integer getMnemonicKey()

      Returns the mnemonic key code.
      Returns:
        The code.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(java.lang.Object o)

      Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `o` - the Object to be compared.
      Returns:
        a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
      Throws:
        `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this Object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`